# Uses of Class
org.xnio.ssl.XnioSsl

Packages that use XnioSsl
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.http
org.xnio.ssl
Utility classes for using and implementing SSL within XNIO providers.

## Uses of XnioSsl in org.xnio

Methods in org.xnio that return XnioSsl
Modifier and Type
Method
Description
`XnioSsl`
Xnio.`getSslProvider(KeyManager[] keyManagers, TrustManager[] trustManagers, OptionMap optionMap)`
Get an SSL provider for this XNIO provider.
`XnioSsl`
Xnio.`getSslProvider(OptionMap optionMap)`
Get an SSL provider for this XNIO provider.

## Uses of XnioSsl in org.xnio.http

Methods in org.xnio.http with parameters of type XnioSsl
Modifier and Type
Method
Description
`static IoFuture<SslConnection>`
HttpUpgrade.`performUpgrade(XnioWorker worker, XnioSsl ssl, InetSocketAddress bindAddress, URI uri, Map<String,String> headers, ChannelListener<? super SslConnection> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap, HandshakeChecker handshakeChecker)`
Perform a HTTP upgrade that results in a SSL secured connection.
`static IoFuture<SslConnection>`
HttpUpgrade.`performUpgrade(XnioWorker worker, XnioSsl ssl, InetSocketAddress bindAddress, URI uri, Map<String,List<String>> headers, ChannelListener<? super SslConnection> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap, ExtendedHandshakeChecker handshakeChecker)`
Perform a HTTP upgrade that results in a SSL secured connection.

## Uses of XnioSsl in org.xnio.ssl

Subclasses of XnioSsl in org.xnio.ssl
Modifier and Type
Class
Description
`final class`
`JsseXnioSsl`
An XNIO SSL provider based on JSSE.